Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect.impl.asm
Class AsmClassInfo.ClassNameRetrievalClassAdapter

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
          org.codehaus.aspectwerkz.reflect.impl.asm.AsmClassInfo.ClassNameRetrievalClassAdapter

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

Enclosing class:
  AsmClassInfo

    public static class AsmClassInfo.ClassNameRetrievalClassAdapter

extends AsmAnnotationHelper.NullClassAdapter

ASM bytecode visitor that retrieves the class name from the bytecode.

Author:
  Jonas Bonr

Field Summary

Fields inherited from class org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
`NULL_CLASS_ADAPTER`

Constructor Summary
`AsmClassInfo.ClassNameRetrievalClassAdapter()`

Method Summary
`String` | `getClassName()`
`void` | `visit(int version, int access, String name, String superName, String[] interfaces, String sourceFile)`

Methods inherited from class org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
`visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsmClassInfo.ClassNameRetrievalClassAdapter

    public AsmClassInfo.ClassNameRetrievalClassAdapter()

Method Detail

### visit

    public void visit(int version,
                      int access,
                      String name,
                      String superName,
                      String[] interfaces,
                      String sourceFile)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visit` in class `AsmAnnotationHelper.NullClassAdapter`

### getClassName

    public String getClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.